module ViniBaxter
  module DeskFront
    class Engine < ::Rails::Engine
      initializer 'desk_front.setup' do |app|
        app.config.assets.precompile += Dir.glob(config.root + 'app/assets/images/desk_front/**/*').select{ |f| File.file? f }.map { |m| "desk_front/" +  File.path(m).split("desk_front/").last }
      end
      initializer 'desk_front.sass' do |app|
      # Set the sass load paths
      app.config.sass.load_paths << File.join(config.root, "lib","viniBaxter", "sass")

      # Set the add desk_front/lib/sass to assets path
      app.config.assets.paths << File.join(config.root, "lib","viniBaxter", "sass")
      end

    end
  end
end
